# flake8: noqa

"""
    Adyen for Platforms: Account API

    The Account API provides endpoints for managing account-related entities on your platform. These related entities include account holders, accounts, bank accounts, shareholders, and KYC-related documents. The management operations include actions such as creation, retrieval, updating, and deletion of them.  For more information, refer to our [documentation](https://docs.adyen.com/platforms). ## Authentication To connect to the Account API, you must use basic authentication credentials of your web service user. If you don't have one, contact the [Adyen Support Team](https://support.adyen.com/hc/en-us/requests/new). Then use its credentials to authenticate your request, for example:  ``` curl -U \"ws@MarketPlace.YourMarketPlace\":\"YourWsPassword\" \\ -H \"Content-Type: application/json\" \\ ... ``` Note that when going live, you need to generate new web service user credentials to access the [live endpoints](https://docs.adyen.com/development-resources/live-endpoints).  ## Versioning The Account API supports versioning of its endpoints through a version suffix in the endpoint URL. This suffix has the following format: \"vXX\", where XX is the version number.  For example: ``` https://cal-test.adyen.com/cal/services/Account/v6/createAccountHolder ```  # noqa: E501

    The version of the OpenAPI document: 6
    Contact: developer-experience@adyen.com
    Generated by: https://openapi-generator.tech
"""


__version__ = "1.0.0"

# import ApiClient
from adyen_account.api_client import ApiClient

# import Configuration
from adyen_account.configuration import Configuration

# import exceptions
from adyen_account.exceptions import OpenApiException
from adyen_account.exceptions import ApiAttributeError
from adyen_account.exceptions import ApiTypeError
from adyen_account.exceptions import ApiValueError
from adyen_account.exceptions import ApiKeyError
from adyen_account.exceptions import ApiException
